Package com.enonic.xp.scheduler

## Class ScheduledJob

- java.lang.Object
- - com.enonic.xp.scheduler.ScheduledJob

- All Implemented Interfaces:
    `Serializable`

      @PublicApi
      public final class ScheduledJob
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ScheduledJob.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScheduledJob.Builder` | `create()` |
    `ScheduleCalendar` | `getCalendar()` |
    `PropertyTree` | `getConfig()` |
    `Instant` | `getCreatedTime()` |
    `PrincipalKey` | `getCreator()` |
    `String` | `getDescription()` |
    `DescriptorKey` | `getDescriptor()` |
    `Instant` | `getLastRun()` |
    `TaskId` | `getLastTaskId()` |
    `Instant` | `getModifiedTime()` |
    `PrincipalKey` | `getModifier()` |
    `ScheduledJobName` | `getName()` |
    `PrincipalKey` | `getUser()` |
    `boolean` | `isEnabled()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ScheduledJob.Builder create()

    - #### getName

          public ScheduledJobName getName()

    - #### getDescription

          public String getDescription()

    - #### getCalendar

          public ScheduleCalendar getCalendar()

    - #### isEnabled

          public boolean isEnabled()

    - #### getDescriptor

          public DescriptorKey getDescriptor()

    - #### getConfig

          public PropertyTree getConfig()

    - #### getUser

          public PrincipalKey getUser()

    - #### getCreator

          public PrincipalKey getCreator()

    - #### getModifier

          public PrincipalKey getModifier()

    - #### getCreatedTime

          public Instant getCreatedTime()

    - #### getModifiedTime

          public Instant getModifiedTime()

    - #### getLastRun

          public Instant getLastRun()

    - #### getLastTaskId

          public TaskId getLastTaskId()